Package de.willuhn.jameica.hbci.gui.input

# Class AbstractDateInput

java.lang.Object
de.willuhn.jameica.gui.input.DateInput
de.willuhn.jameica.hbci.gui.input.AbstractDateInput

All Implemented Interfaces:
  `de.willuhn.jameica.gui.input.Input`, `de.willuhn.jameica.gui.Part`

Direct Known Subclasses:
  `DateFromInput`, `DateToInput`

public abstract class AbstractDateInput extends de.willuhn.jameica.gui.input.DateInput
Abstrakte Basis-Klasse fuer DateFromInput und DateToInput

## Field Summary

### Fields inherited from interface de.willuhn.jameica.gui.input.Input

`DATAKEY_TOOLTIP`

## Constructor Summary

Constructors
Constructor
Description
`AbstractDateInput(Date date)`
ct.
`AbstractDateInput(Date date, String parameter)`
ct.

## Method Summary

Modifier and Type
Method
Description
`void`
`setValue(Object value)`

### Methods inherited from class de.willuhn.jameica.gui.input.DateInput

`addListener, disable, disableClientControl, enable, enableClientControl, focus, getControl, getData, getName, getValue, hasChanged, isEnabled, isMandatory, paint, paint, setComment, setData, setEnabled, setMandatory, setName, setText, setTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractDateInput

public AbstractDateInput(Date date)
ct.

Parameters:
  `date` -

### AbstractDateInput

public AbstractDateInput(Date date, String parameter)
ct.

Parameters:
  `date` -
  `parameter` - Schluessel-Name, unter dem die Eingabe in der Session gecached werden soll.

## Method Details

### setValue

public void setValue(Object value)

Specified by:
  `setValue` in interface `de.willuhn.jameica.gui.input.Input`
Overrides:
  `setValue` in class `de.willuhn.jameica.gui.input.DateInput`
See Also:
  - `DateInput.setValue(java.lang.Object)`